#include <iostream>

using namespace std;

int abs(int x) 
{
	if(x < 0) return -x;
	else return x;	
}

int main() 
{
	int a1, a2;
	string ulaz;
	cin>>ulaz;
	cin>>a1>>a2;
	if(abs(a1 - a2) > 1) cout<<"nemoguce";
	else 
	{
		if(a1 > a2) 
		{
			for(int i = 0; i < a2; i++) 
			{
				cout<<ulaz;
			}
			cout<<ulaz[0];
		}
		else if(a1 == a2) 
		{
			for(int i = 0; i < a2; i++) 
			{
				cout<<ulaz;
			}
		}
		else 
		{
			cout<<ulaz[1];
			for(int i = 0; i < a1; i++) 
			{
				cout<<ulaz;	
			}
		}
	}
	return 0;
}